# Gimp.PlugIn::init_procedures

    @accepts(Gimp.PlugIn)
    @returns([unicode])
    def do_init_procedures(plug_in):

This method can be overridden by all plug-ins to return a newly allocated list of allocated strings naming procedures registered by this plug-in. It is different from [vfunc@PlugIn.query_procedures] in that init happens at every startup, whereas query happens only once in the life of a plug-in (right after installation or update). Hence [vfunc@PlugIn.init_procedures] typically returns procedures dependent to runtime conditions (such as the presence of a third-party tool), whereas [vfunc@PlugIn.query_procedures] would usually return procedures that are always available unconditionally.

Most of the time, you only want to override [vfunc@PlugIn.query_procedures] and leave [vfunc@PlugIn.init_procedures] untouched.

plug_in

  a Gimp.PlugIn.

Returns

  the names of the procedures registered by self.